tigase.vhosts

## Class VHostManager

- java.lang.Object
- - tigase.server.BasicComponent
  - - tigase.server.AbstractComponentRegistrator<VHostListener>
    - - tigase.vhosts.VHostManager

- All Implemented Interfaces:
    Configurable, XMPPService, ComponentRegistrator, ServerComponent, StatisticsContainer, VHostListener, VHostManagerIfc
  Direct Known Subclasses:
    VHostManagerClustered

      public class VHostManager
      extends AbstractComponentRegistrator<VHostListener>
      implements VHostManagerIfc, StatisticsContainer

  Describe class VHostManager here. Created: Fri Nov 21 14:28:20 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ComponentRepository<VHostItem>` | `repo`
    `static String` | `VHOSTS_REPO_CLASS_PROP_KEY` Field description
    `static String` | `VHOSTS_REPO_CLASS_PROP_VAL` Field description
    `static String` | `VHOSTS_REPO_CLASS_PROPERTY` Field description

    - ### Fields inherited from class tigase.server.AbstractComponentRegistrator

      `components`

    - ### Fields inherited from class tigase.server.BasicComponent

      `admins, ALL_PROP_KEY, COMMAND_PROP_NODE, scriptCommands, SCRIPTS_DIR_PROP_DEF, SCRIPTS_DIR_PROP_KEY, vHostManager`

    - ### Fields inherited from interface tigase.conf.Configurable

      `ADMINS_PROP_KEY, AMP_CLASS_NAME, AUTH_DOMAIN_POOL_CLASS, AUTH_REPO_DOMAINS_PROP_KEY, AUTH_REPO_PARAMS_NODE, AUTH_REPO_POOL_CLASS, AUTH_REPO_URL_PROP_KEY, BOSH_CLUST_COMP_CLASS_NAME, BOSH_COMP_CLASS_NAME, C2S_CLUST_COMP_CLASS_NAME, C2S_COMP_CLASS_NAME, CL_COMP_CLASS_NAME, CLUSTER_CONECT, CLUSTER_CONTR_CLASS_NAME, CLUSTER_LISTEN, CLUSTER_MODE, CLUSTER_NODES, CLUSTER_NODES_PROP_KEY, COMP_PROT_CLASS_NAME, COMPONENT_ID_PROP_KEY, DEF_AMP_NAME, DEF_BOSH_NAME, DEF_C2S_NAME, DEF_CL_COMP_NAME, DEF_CLUST_CONTR_NAME, DEF_COMP_PROT_NAME, DEF_EXT_COMP_NAME, DEF_HOSTNAME_PROP_KEY, DEF_MONITOR_NAME, DEF_S2S_NAME, DEF_SM_NAME, DEF_SRECV_NAME, DEF_SSEND_NAME, DEF_STATS_NAME, DEF_VHOST_MAN_NAME, DEF_WS2S_NAME, DERBY_REPO_CLASS_PROP_VAL, DERBY_REPO_URL_PROP_VAL, DRUPAL_REPO_URL_PROP_VAL, DRUPALWP_REPO_CLASS_PROP_VAL, DUMMY_REPO_CLASS_PROP_VAL, EXT_COMP_CLASS_NAME, GEN_ADMINS, GEN_AUTH_DB, GEN_AUTH_DB_URI, GEN_COMP_CLASS, GEN_COMP_NAME, GEN_CONF, GEN_CONFIG, GEN_CONFIG_ALL, GEN_CONFIG_COMP, GEN_CONFIG_CS, GEN_CONFIG_DEF, GEN_CONFIG_SM, GEN_DEBUG, GEN_DEBUG_PACKAGES, GEN_EXT_COMP, GEN_MAX_QUEUE_SIZE, GEN_SCRIPT_DIR, GEN_SM_PLUGINS, GEN_SREC_ADMINS, GEN_SREC_DB, GEN_SREC_DB_URI, GEN_TEST, GEN_TRUSTED, GEN_USER_DB, GEN_USER_DB_URI, GEN_USER_DB_URI_PROP_KEY, GEN_VIRT_HOSTS, HOSTNAMES_PROP_KEY, LIBRESOURCE_REPO_CLASS_PROP_VAL, LIBRESOURCE_REPO_URL_PROP_VAL, MONITOR_CLASS_NAME, MONITOR_CLUST_CLASS_NAME, MONITORING, MYSQL_REPO_CLASS_PROP_VAL, MYSQL_REPO_URL_PROP_VAL, PGSQL_REPO_CLASS_PROP_VAL, PGSQL_REPO_URL_PROP_VAL, ROUTER_COMP_CLASS_NAME, S2S_CLUST_COMP_CLASS_NAME, S2S_COMP_CLASS_NAME, SHARED_AUTH_REPO_PARAMS_PROP_KEY, SHARED_AUTH_REPO_PROP_KEY, SHARED_USER_REPO_PARAMS_PROP_KEY, SHARED_USER_REPO_PROP_KEY, SM_CLUST_COMP_CLASS_NAME, SM_COMP_CLASS_NAME, SRECV_COMP_CLASS_NAME, SSEND_COMP_CLASS_NAME, STANZA_WHITE_CHAR_ACK, STANZA_XMPP_ACK, STATS_CLASS_NAME, STRINGPREP_PROCESSOR, TIGASE_AUTH_REPO_CLASS_PROP_VAL, TIGASE_AUTH_REPO_URL_PROP_VAL, TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL, TRUSTED_PROP_KEY, USER_DOMAIN_POOL_CLASS, USER_REPO_DOMAINS_PROP_KEY, USER_REPO_PARAMS_NODE, USER_REPO_POOL_CLASS, USER_REPO_POOL_SIZE, USER_REPO_POOL_SIZE_PROP_KEY, USER_REPO_URL_PROP_KEY, VHOST_MAN_CLASS_NAME, VHOST_MAN_CLUST_CLASS_NAME, WS2S_CLASS_NAME, WS2S_CLUST_CLASS_NAME, XML_REPO_CLASS_PROP_VAL, XML_REPO_URL_PROP_VAL, XMPP_STANZA_ACK`

    - ### Fields inherited from interface tigase.disco.XMPPService

      `CMD_FEATURES, DEF_FEATURES, INFO_XMLNS, ITEMS_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VHostManager()` Creates a new `VHostManager` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponentDomain(String domain)` Method description
    `void` | `componentAdded(VHostListener component)` Method description
    `void` | `componentRemoved(VHostListener component)` Method description
    `List<tigase.xmpp.JID>` | `getAllVHosts()` Method description
    `ServerComponent[]` | `getComponentsForLocalDomain(String domain)` Method description
    `ServerComponent[]` | `getComponentsForNonLocalDomain(String domain)` Method description
    `Map<String,Object>` | `getDefaults(Map<String,Object> params)` Method description
    `tigase.xmpp.BareJID` | `getDefVHostItem()` Method description
    `String` | `getDiscoCategoryType()` Method description
    `String` | `getDiscoDescription()` Method description
    `void` | `getStatistics(StatisticsList list)` Method description
    `VHostItem` | `getVHostItem(String domain)` Method description
    `void` | `initBindings(Bindings binds)` Initialize a mapping of key/value pairs which can be used in scripts loaded by the server
    `boolean` | `isAnonymousEnabled(String domain)` Method description
    `boolean` | `isCorrectType(ServerComponent component)` Method description
    `boolean` | `isLocalDomain(String domain)` Method description
    `boolean` | `isLocalDomainOrComponent(String domain)` Method description
    `void` | `removeComponentDomain(String domain)` Method description
    `void` | `setName(String name)` Method description
    `void` | `setProperties(Map<String,Object> properties)` Method description

    - ### Methods inherited from class tigase.server.AbstractComponentRegistrator

      `addComponent, deleteComponent, getComponent, newPacketId, release`

    - ### Methods inherited from class tigase.server.BasicComponent

      `canCallCommand, checkCommandAcl, getComponentId, getComponentInfo, getDefHostName, getDiscoCategory, getDiscoFeatures, getDiscoFeatures, getDiscoInfo, getDiscoInfo, getDiscoItems, getDiscoItems, getName, getScriptCommands, getScriptItems, getServiceEntity, handlesLocalDomains, handlesNameSubdomains, handlesNonLocalDomains, initializationCompleted, isAdmin, isInitializationComplete, isNonAdminCommands, isSubdomain, processPacket, processScriptCommand, removeServiceDiscoveryItem, setVHostManager, updateServiceDiscoveryItem, updateServiceDiscoveryItem, updateServiceDiscoveryItem, updateServiceEntity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.server.ServerComponent

      `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release`

- - ### Field Detail

    - #### VHOSTS_REPO_CLASS_PROP_KEY

          public static final String VHOSTS_REPO_CLASS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### VHOSTS_REPO_CLASS_PROP_VAL

          public static final String VHOSTS_REPO_CLASS_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### VHOSTS_REPO_CLASS_PROPERTY

          public static final String VHOSTS_REPO_CLASS_PROPERTY

      Field description
      See Also:
        Constant Field Values

    - #### repo

          protected ComponentRepository<VHostItem> repo

  - ### Constructor Detail

    - #### VHostManager

          public VHostManager()

      Creates a new `VHostManager` instance.

  - ### Method Detail

    - #### addComponentDomain

          public void addComponentDomain(String domain)

      Method description
      Specified by:
        `addComponentDomain` in interface `VHostManagerIfc`
      Overrides:
        `addComponentDomain` in class `BasicComponent`
      Parameters:
        `domain` -

    - #### componentAdded

          public void componentAdded(VHostListener component)

      Method description
      Specified by:
        `componentAdded` in class `AbstractComponentRegistrator<VHostListener>`
      Parameters:
        `component` -

    - #### componentRemoved

          public void componentRemoved(VHostListener component)

      Method description
      Specified by:
        `componentRemoved` in class `AbstractComponentRegistrator<VHostListener>`
      Parameters:
        `component` -

    - #### initBindings

          public void initBindings(Bindings binds)

      Initialize a mapping of key/value pairs which can be used in scripts loaded by the server
      Overrides:
        `initBindings` in class `BasicComponent`
      Parameters:
        `binds` - A mapping of key/value pairs, all of whose keys are Strings.

    - #### removeComponentDomain

          public void removeComponentDomain(String domain)

      Method description
      Specified by:
        `removeComponentDomain` in interface `VHostManagerIfc`
      Overrides:
        `removeComponentDomain` in class `BasicComponent`
      Parameters:
        `domain` -

    - #### getAllVHosts

          public List<tigase.xmpp.JID> getAllVHosts()

      Method description
      Specified by:
        `getAllVHosts` in interface `VHostManagerIfc`
      Returns:
        a value of `List`

    - #### getComponentsForLocalDomain

          public ServerComponent[] getComponentsForLocalDomain(String domain)

      Method description
      Specified by:
        `getComponentsForLocalDomain` in interface `VHostManagerIfc`
      Parameters:
        `domain` -
      Returns:
        a value of `ServerComponent[]`

    - #### getComponentsForNonLocalDomain

          public ServerComponent[] getComponentsForNonLocalDomain(String domain)

      Method description
      Specified by:
        `getComponentsForNonLocalDomain` in interface `VHostManagerIfc`
      Parameters:
        `domain` -
      Returns:
        a value of `ServerComponent[]`

    - #### getDefaults

          public Map<String,Object> getDefaults(Map<String,Object> params)

      Method description
      Specified by:
        `getDefaults` in interface `Configurable`
      Overrides:
        `getDefaults` in class `BasicComponent`
      Parameters:
        `params` -
      Returns:
        a value of `Map`

    - #### getDefVHostItem

          public tigase.xmpp.BareJID getDefVHostItem()

      Method description
      Specified by:
        `getDefVHostItem` in interface `VHostManagerIfc`
      Overrides:
        `getDefVHostItem` in class `BasicComponent`
      Returns:
        a value of `BareJID`

    - #### getDiscoCategoryType

          public String getDiscoCategoryType()

      Method description
      Overrides:
        `getDiscoCategoryType` in class `BasicComponent`
      Returns:
        a value of `String`

    - #### getDiscoDescription

          public String getDiscoDescription()

      Method description
      Overrides:
        `getDiscoDescription` in class `BasicComponent`
      Returns:
        a value of `String`

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Method description
      Specified by:
        `getStatistics` in interface `StatisticsContainer`
      Parameters:
        `list` -

    - #### getVHostItem

          public VHostItem getVHostItem(String domain)

      Method description
      Specified by:
        `getVHostItem` in interface `VHostManagerIfc`
      Overrides:
        `getVHostItem` in class `BasicComponent`
      Parameters:
        `domain` -
      Returns:
        a value of `VHostItem`

    - #### isAnonymousEnabled

          public boolean isAnonymousEnabled(String domain)

      Method description
      Specified by:
        `isAnonymousEnabled` in interface `VHostManagerIfc`
      Parameters:
        `domain` -
      Returns:
        a value of `boolean`

    - #### isCorrectType

          public boolean isCorrectType(ServerComponent component)

      Method description
      Specified by:
        `isCorrectType` in class `AbstractComponentRegistrator<VHostListener>`
      Parameters:
        `component` -
      Returns:
        a value of `boolean`

    - #### isLocalDomain

          public boolean isLocalDomain(String domain)

      Method description
      Specified by:
        `isLocalDomain` in interface `VHostManagerIfc`
      Overrides:
        `isLocalDomain` in class `BasicComponent`
      Parameters:
        `domain` -
      Returns:
        a value of `boolean`

    - #### isLocalDomainOrComponent

          public boolean isLocalDomainOrComponent(String domain)

      Method description
      Specified by:
        `isLocalDomainOrComponent` in interface `VHostManagerIfc`
      Overrides:
        `isLocalDomainOrComponent` in class `BasicComponent`
      Parameters:
        `domain` -
      Returns:
        a value of `boolean`

    - #### setName

          public void setName(String name)

      Method description
      Specified by:
        `setName` in interface `ServerComponent`
      Overrides:
        `setName` in class `BasicComponent`
      Parameters:
        `name` -

    - #### setProperties

          public void setProperties(Map<String,Object> properties)

      Method description
      Specified by:
        `setProperties` in interface `Configurable`
      Overrides:
        `setProperties` in class `BasicComponent`
      Parameters:
        `properties` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.